@extends('adminlte::page')
@section('plugins.Fullcalendar', true)
@section('plugins.MomentJs', true)
@section('plugins.JqueryUi', true)
@section('content_header')
<h1>Appuntamenti</h1>
@endsection
@section('content')
<div id="calendar"></div>
<div class="modal fade " id="event" tabindex="-1" role="dialog"
	aria-labelledby="myModalLabel" aria-hidden="true">
	<div class="modal-dialog draggable" role="document">
		<div class="modal-content">
			<div class="modal-header">
				<h4 class="modal-title">Nuovo Appuntamento</h4>

			</div>
			<div class="modal-body">
				<form action="" method="POST">
					@csrf
					Giorno Inizio: <input type='date' class="form-control" name="DateStart" id="startDay"/>
					Ora Inizio: <input type='time' class="form-control" name="HourStart" id="startHour"/>
					<hr>
					Giorno Fine:<input type='date' class="form-control" name="DateEnd" id="endDay"/>
					Ora Fine: <input type='time' class="form-control" name="HourEnd" id="endHour"/>
					<hr>
					Titolo:
					<input type='text' class="form-control" name="title"/>
					Descrizione:
					<textarea class="form-control" name="descrizione"></textarea>
					<hr>
					<input type="submit" name="Submit">
				</form>
            </div>
        </div>
    </div>
</div>
@endsection
@section('js')
<script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-datetimepicker/4.7.14/js/bootstrap-datetimepicker.min.js"></script>
<script src="/js/app/calendario.js"></script>


@endsection
