<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateDocumentisTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('documentis', function (Blueprint $table) {
            $table->id();
            $table->timestamps();
            $table->string('descrizione');
            // $table->foreignId('movimenti_id');
            // Aggiunto per definire il nome della cartella
            $table->string('path');
            // $table->string('filename');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('documentis');
    }
}
