<?php

namespace Database\Seeders;

use Illuminate\Database\Seeder;
use App\Models\Documenti as Doc;

class Documenti extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {
        //
        Doc::create([
            'id'=>0,
            'descrizione' => 'Movimenti',
            'path' => 'Movimenti',
        ],
        [
            'id' => 1,
            'descrizione' => 'Contratti',
            'path' => 'Contratti',
        ],
        [
            'id' => 2,
            'descrizione' => 'Automobili',
            'path' => 'Automobili',
        ],
        [
            'id' => 3,
            'descrizione' => 'Progetti',
            'path' => 'Progetti',
        ],
        [ 
            'id' => 4,
            'descrizione' => 'Documenti',
            'path' => 'Documenti',
        ]);
    }
}
